const api = require("utils/request.js");
//app.js
App({
  onLaunch: function () {
    // 展示本地存储能力
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)

    // 登录
    wx.showLoading({
      title: '加载中...',
      mask:true,
      icon:'none'
    })
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
        api.request('/crm/consumer/mplogin/','POST', {code:res.code}).then(res=>{
          if(res.code==200){
            this.globalData.token = res.data.token
            this.globalData.session_key = res.data.session_key
            this.globalData.userinfo = res.data.userinfo
            //console.log(res.data.userinfo.perms)
            // var pages = getCurrentPages() //获取加载的页面
            // var currentPage = pages[pages.length - 1] //获取当前页面的对象
            // currentPage.showExp()
            
            if(res.data.userinfo.role_name == '游客' && this.globalData.rlogin){
              //匿名用户
              wx.reLaunch({
                url: '/pages/login/login2',
              })
            }
          }
        }).then(res=>{
          api.request('/crm/consumer/process/', 'GET').then(res => {
            
            for (var key in res.data.process) {
              try {
                if(res.data.process[key]){
                  wx.setStorageSync(key.toString(), res.data.process[key])
                }
              } catch (e) { }
            }
            wx.hideLoading()
          })
        })
      }
    })
    // 获取用户信息
    wx.getSetting({
      success: res => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
          wx.getUserInfo({
            success: res => {
              // 可以将 res 发送给后台解码出 unionId
              this.globalData.userInfo = res.userInfo
              // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
              // 所以此处加入 callback 以防止这种情况
              if (this.userInfoReadyCallback) {
                this.userInfoReadyCallback(res)
              }
            }
          })
        }
      }
    })
  },
  globalData: {
    userInfo: {},
    userinfo: {}, // 服务器传回的消费者信息
    // host: 'https://apitest.ahctc.cn',
    mediahost: 'https://apitest.ahctc.cn',
    host: 'http://127.0.0.1:8000',
    //mediahost: 'http://127.0.0.1:8000',
    token : '',
    rlogin:true
  }
})